! copyright (c) 2008 Swedish Defence Research Agency (FOI) 
! may not be copied or distributed without written permission from FOI



      MODULE FWZa

      IMPLICIT NONE

      COMPLEX*16,  DIMENSION(:), ALLOCATABLE :: Z1FW, Z2FW, Z3FW, Z4FW, 
     & Z1WF, Z2WF, Z3WF, Z4WF
C     element "id" is at depth "zd(id)" for "upwards through layer id" and 
C     at depth "zd(id-1)" for "downwards through layer id", 
C     on the "lower side" but note that 
C     "ys1 at interface with solid above" is "just before fluid"; 
ccc	EQUIVALENCE (Z1WF,Z1FW), (Z2WF,Z2FW), (Z3WF,Z3FW), (Z4WF,Z4FW)

      SAVE

      END MODULE FWZa
